<?php
session_start();
$idvysetreni = $_POST['idvys'];
$poznamka = $_POST['title'];
if ($_SESSION['vrc']==null){
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
}

if ($_SESSION['vrc']!=null){
$hledejrc_hash=$_SESSION['vrc'];
$hledejpr=null;
$hledejrc=1;
}
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>

<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <h2>Upload dokončen </h2>
        <br />
        <ul class="info">
          <li>Dnes</li>
          <li class="tag">Info</li>
               </ul>
<?php
$myError = 0;
if ($_FILES["file"]["error"] > 0)
  {
  echo "Error: " . $_FILES["file"]["error"] . "<br />";
  }
  if (file_exists("upload/$hledejrc_hash/" . $_FILES["file"]["name"]))
      {
      echo "Ukládaná data již existují. ";
      $myError = 1;
      }
    else
      {
        echo "Nahráno: " . $_FILES["file"]["name"] . "<br />";
  echo "Typ: " . $_FILES["file"]["type"] . "<br />";
  echo "Velikost: " . ($_FILES["file"]["size"] / 1024) . " Kb<br />";
 // echo "Místo uložení: " . $_FILES["file"]["tmp_name"];
      move_uploaded_file($_FILES["file"]["tmp_name"], "upload/$hledejrc_hash/" . $_FILES["file"]["name"]);
      echo "Místo uložení: " . "upload/$hledejrc_hash/" . $_FILES["file"]["name"];
      }
      
//vlozeni zaznamu o ulozenem souboru (poznamka, jmeno souboru)     
if ($myError == 0)
{
       @$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
     if (!$spojeni):
	     echo "Nepodařilo se připojit k MySQL.<BR>\n";
       break;
	   endif;
	   MySQL_Select_DB("marvik_johny_cz");
	    @$vysledek = MySQL_Query("INSERT INTO `marvik_johny_cz`.`foto_pacient_vysetreni` (
`id_foto_pacient_vysetreni` ,
`id_pacient_vysetreni` ,
`nazev_souboru` ,
`Poznamka`
)
VALUES (
'', '1', '".$_FILES["file"]["name"]."','".$poznamka."'
);");
	     if (!$vysledek):
		     echo "Došlo k chybě při zpracování dotazu v databázi B.<BR>\n";
		     break;
	     endif;
}
?> 


      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="mysql.php">Zpět do hlavního menu</a></li>
            <li><a href="upravit.php">Zpět na pacienta</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
